this.name 			= "pods_bigPod";
this.author 		= "Thargoid";
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "Generates a bigpods: pod of 1-10 (2-20 for pods_CCL_bigPod) ton capacity, pod of 1-100 kg capacity, pod of 1-200 g capacity of gemstones";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc, setNewBarrel; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = pr + "(bigpod)";
		if (!type) { // initialise RFID-broken bigpod: check roles and set content (type, quantity)
			// initialise bigBarrels
			if (itm && itm.hasRole("bigpod")) {
				if (dk === "pods_bigBarrel_t" || dk === "pods_CCL_bigBarrel_t") {
					setNewBarrel = true;
					cargo = expandDescription('[pods_contentTons]');
					quantity = (Math.ceil(Math.random() * 10));
					if (dk === "pods_CCL_bigBarrel_t") {
						quantity *= 2;
					}
				} else if (dk === "pods_bigBarrel_kg") {
					cargo = expandDescription('[pods_contentKilos]');
					quantity = (Math.ceil(Math.random() * 100));
				} else { // if (dk === "pods_bigBarrel_gems") {
					cargo = "gem_stones";
					quantity = (Math.ceil(Math.random() * 200));
				}
				type = cargo;
			} else {
				log(this.name, "Error: no " + tc + " role in the [" + dk + "]");
				return;
			}
			if (this.logging) log(this.name, "initialised a " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// set a new barrels or save a barrel:
			if (setNewBarrel && scr.isPlayer) {
				scr.manifest[type] += quantity;
			} else {
				this.ship.setCargo(type, quantity);
			}
			// operation : scr.manifest[type] += quantity - not worked for NPC

			// events and messages
			if (scr.isPlayer) {
				msg = wp._msgCargo(type, quantity); // standart named cargo
				wp._delayedMsg(msg, 3);
				// reset / broken RFID for scooped pods (kg/gram)
				if (worldScripts["Cargo Scanner"] && itm.shipUniqueName) itm.shipUniqueName = displayNameForCommodity(type);
			}
		} else { // pre-set bigpod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// reset a barrel var: for NPC not replaced bulk barrels --> operation : scr.manifest[type] += quantity - not worked for NPC

			// events and messages
			if (scr.isPlayer) {
				if (setNewBarrel) { // not used this version
					scr.manifest[type] += quantity;
					wp._delayedRemoveCargo(scr, itm, 0.75);
				}
				msg = wp._msgCargo(type, quantity); // has_scoop_message = no
				wp._delayedMsg(msg, 1); // player.consoleMessage(msg, 6);
			}
		}
		if (this.logging) log(this.name, n + " scooped: " + type);
	}
}
