this.name 			= "pods_emptyPod";
this.author 		= "Thargoid";
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "Generates an empty or otherwise worthless cargo pod";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = pr + "(empty)";
		if (!type) { // initialise RFID-broken empty pod: set content ("empty", 1)
			// initialise empty cargo : type = "null"; quantity = 0;
			if (this.logging) log(this.name, "initialised a " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// events and messages
			if (scr.isPlayer) {
				wp._delayedMsg(expandDescription('[pods_emptyPodMessage]'), 2);
			}
		} else { // pre-set cargopod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// events and messages
			if (scr.isPlayer) {
				msg = wp._msgCargo(type, quantity); // has_scoop_message = no
				player.consoleMessage(msg, 6); // wp._delayedMsg(msg, 1);
			}
		}
		if (this.logging) log(this.name, n + " scooped: " + type);
	}
}
