this.name 			= "pods_fuelPod";
this.author 		= "Thargoid";
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "A cargo pod containing up to 3 ly of fuel, or sometimes non-fuel which contaminates everything";
this.version 		= "2.5.5";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = "fuel-tank";
		if (!type) { // set content ("fuel", quantity)
			type = "quirium fuel";
			// initialise a fuel pod, events and messages
			let newfuel = ((Math.ceil(Math.random() * 32)) / 10);
			if (newfuel < 3.1) {
				scr.fuel += newfuel;
				if (scr.isPlayer) player.consoleMessage("Fuel Tank - " + newfuel + " ly transferred!", 6);
			} else {
				scr.fuelLeakRate = 10;
				if (scr.isPlayer) {
					wp.$warning_sound.play();
					wp._delayedMsg("ALERT - Transferred substance is not witchspace fuel! Tanks contaminated, venting...", 2);
				}
			}
		} else { // pre-set fuel pod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// events and messages
			if (scr.isPlayer) {
				player.consoleMessage("Fuel Tank - No fuel for transfer!", 6);
				msg = wp._msgCargo(type, quantity); // has_scoop_message = no
				player.consoleMessage(msg, 6); // wp._delayedMsg(msg, 1);
			}
		}
		if (this.logging) log(this.name, n + " scooped: " + type);
	}
}
