this.name 			= "pods_standardPod-1t";
this.author 		= "Thargoid & Rustem";
this.copyright		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "A smaller script for alternative standard 1t pods, random content, perhaps with trumble. Used for external dependency barrels.";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = pr + "(1t-random)";
		if (!type) { // initialise RFID-broken 1t-cargopod: check scriptInfo and set content (type, quantity)
			// initialise cargo type // TODO: need edit/delete trumble part. //quantity = 1;
			if (scr.isPlayer && missionVariables.novacount && player.ship.equipmentStatus("EQ_TRUMBLE") === "EQUIPMENT_UNAVAILABLE") {
				type = "trumble";
			} else // set random cargo in the 1t-cargopod
			{
				type = expandDescription('[pods_contentTons]');
			}
			if (this.logging) log(this.name, "initialised a " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// set a barrel
			itm.setCargo(type, quantity);

			// events and messages
			if (scr.isPlayer) {
				if (type !== "trumble") {
					msg = wp._msgCargo(type, quantity); // standart named cargo
					wp._delayedMsg(msg, 2);
					// reset / broken RFID for 1t-cargopod role
					if (worldScripts["Cargo Scanner"] && itm.shipUniqueName) itm.shipUniqueName = displayNameForCommodity(type);
				} else {
					wp._scoopTrumbleRoutines(scr, itm, type, this.logging);
				}
			}
		} else { // pre-set 1t-cargopod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// events and messages
			if (scr.isPlayer) {
				msg = wp._msgCargo(type, quantity); // has_scoop_message = no
				player.consoleMessage(msg, 6); // wp._delayedMsg(msg, 1);

				// perhaps for trumbles
				if (((type === "food" || type === "furs") && Math.random() < 0.1) ||
					(missionVariables.novacount && player.ship.equipmentStatus("EQ_TRUMBLE") === "EQUIPMENT_UNAVAILABLE")) {

					wp._scoopTrumbleRoutines(scr, itm, type, this.logging);
				}
			}
		}
		if (this.logging) log(this.name, n + " scooped a random pod: " + type);
	}
}
